Package org.mariadb.jdbc.plugin.authentication.standard

# Class SendPamAuthPacket

java.lang.Object
org.mariadb.jdbc.plugin.authentication.standard.SendPamAuthPacket

All Implemented Interfaces:
  `AuthenticationPlugin`

public class SendPamAuthPacket extends Object implements AuthenticationPlugin
PAM (dialog) authentication plugin. This is a multi-step exchange password. If more than one step, passwordX (password2, password3, ...) options must be set.

## Constructor Summary

Constructors
Constructor
Description
`SendPamAuthPacket(String authenticationData, Configuration conf)`
Initialization.

## Method Summary

Modifier and Type
Method
Description
`org.mariadb.jdbc.client.ReadableByteBuf`
`process(Writer out, Reader in, org.mariadb.jdbc.client.Context context)`
Process PAM plugin authentication.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.plugin.AuthenticationPlugin

`hash, isMitMProof`

## Constructor Details

### SendPamAuthPacket

public SendPamAuthPacket(String authenticationData, Configuration conf)
Initialization.

Parameters:
  `authenticationData` - authentication data (password/token)
  `conf` - Connection string options

## Method Details

### process

public org.mariadb.jdbc.client.ReadableByteBuf process(Writer out, Reader in, org.mariadb.jdbc.client.Context context) throws SQLException, IOException
Process PAM plugin authentication. see https://mariadb.com/kb/en/library/authentication-plugin-pam/

Specified by:
  `process` in interface `AuthenticationPlugin`
Parameters:
  `out` - out stream
  `in` - in stream
  `context` - connection context
Returns:
  response packet
Throws:
  `IOException` - if socket error
  `SQLException` - if plugin exception